diff --git a/changelog b/changelog
index 81d5422..ea3fb54 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090924 tpd src/axiom-website/patches.html 20090924.01.tpd.patch
+20090924 tpd src/interp/define.lisp cleanup
 20090922 tpd src/axiom-website/patches.html 20090922.06.tpd.patch
 20090922 tpd src/interp/compiler.lisp cleanup
 20090922 tpd src/axiom-website/patches.html 20090922.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d9d48c5..91f286b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2022,5 +2022,7 @@ src/interp/profile.lisp cleanup<br/>
 src/interp/category.lisp cleanup<br/>
 <a href="patches/20090922.06.tpd.patch">20090922.06.tpd.patch</a>
 src/interp/compiler.lisp cleanup<br/>
+<a href="patches/20090924.01.tpd.patch">20090924.01.tpd.patch</a>
+src/interp/define.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/define.lisp.pamphlet b/src/interp/define.lisp.pamphlet
index 6c9b06b..9672d31 100644
--- a/src/interp/define.lisp.pamphlet
+++ b/src/interp/define.lisp.pamphlet
@@ -82,7 +82,11 @@
 (DEFUN |compDefine1| (|form| |m| |e|)
   (PROG (|$insideExpressionIfTrue| |lhs| |specialCases| |sig|
             |signature| |rhs| |newPrefix|)
-    (DECLARE (SPECIAL |$insideExpressionIfTrue|))
+    (DECLARE (SPECIAL |$insideExpressionIfTrue| |$formalArgList| |$form| 
+                      |$op| |$prefix| |$insideFunctorIfTrue| |$Category|
+                      |$insideCategoryIfTrue| |$insideCapsuleFunctionIfTrue|
+                      |$ConstructorNames| |$NoValueMode| |$EmptyMode|
+                      |$insideWhereIfTrue| |$insideExpressionIfTrue|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$insideExpressionIfTrue| NIL)
@@ -188,6 +192,7 @@
 
 (DEFUN |compDefineAddSignature| (G166127 |signature| |e|)
   (PROG (|op| |argl| |sig| |declForm| |LETTMP#1|)
+  (declare (special |$EmptyMode|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |op| (CAR G166127))
@@ -284,6 +289,7 @@
 ;  ['add,rhs,['CAPSULE]]
 
 (DEFUN |addEmptyCapsuleIfNecessary| (|target| |rhs|)
+  (declare (special |$SpecialDomainNames|) (ignore |target|))
   (COND
     ((MEMQ (KAR |rhs|) |$SpecialDomainNames|) |rhs|)
     ('T (CONS '|add| (CONS |rhs| (CONS (CONS 'CAPSULE NIL) NIL))))))
@@ -304,6 +310,7 @@
 
 (DEFUN |getTargetFromRhs| (|lhs| |rhs| |e|)
   (PROG (|ISTMP#1| D |ISTMP#2| |ISTMP#3| |l| |LETTMP#1| |target|)
+  (declare (special |$EmptyMode|))
     (RETURN
       (COND
         ((AND (PAIRP |rhs|) (EQ (QCAR |rhs|) 'CAPSULE))
@@ -478,8 +485,9 @@
   (PROG (|$insideCategoryPackageIfTrue| |$categoryPredicateList| |form|
             |sig| |sc| |ISTMP#1| |cat| |ISTMP#2| |capsule| |body|
             |categoryCapsule| |d| |LETTMP#1|)
-    (DECLARE (SPECIAL |$insideCategoryPackageIfTrue|
-                      |$categoryPredicateList|))
+    (DECLARE (SPECIAL |$insideCategoryPackageIfTrue| |$EmptyMode|
+                      |$categoryPredicateList| |$lisplibCategory|
+                      |$bootStrapMode|))
     (RETURN
       (PROGN
         (SPADLET |form| (CADR |df|))
@@ -549,6 +557,7 @@
 
 (DEFUN |makeCategoryPredicates,fn| (|u| |pl|)
   (PROG (|ISTMP#1| |ISTMP#2| |a| |op|)
+  (declare (special |$tvl| |$mvl|))
     (RETURN
       (SEQ (IF (AND (PAIRP |u|) (EQ (QCAR |u|) '|Join|)
                     (PROGN
@@ -573,6 +582,8 @@
            (EXIT (|makeCategoryPredicates,fnl| |u| |pl|))))))
 
 (DEFUN |makeCategoryPredicates| (|form| |u|)
+  (declare (special |$FormalMapVariableList| |$mvl| |$tvl|
+                    |$TriangleVariableList|))
   (PROGN
     (SPADLET |$tvl| (TAKE (|#| (CDR |form|)) |$TriangleVariableList|))
     (SPADLET |$mvl|
@@ -643,7 +654,8 @@
             |nameForDollar| |packageArgl| |capsuleDefAlist|
             |explicitCatPart| |catvec| |fullCatOpList| |op1| |sig|
             |catOpList| |packageCategory| |nils| |packageSig|)
-    (DECLARE (SPECIAL |$options|))
+    (DECLARE (SPECIAL |$options| |$categoryPredicateList| |$e| |$options|
+                      |$FormalMapVariableList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |op| (CAR |form|))
@@ -817,10 +829,9 @@
 ;      augLisplibModemapsFromCategory(form',formalBody,signature')
 ;    [fun,'(Category),e]
 
-(DEFUN |compDefineCategory2|
-       (|form| |signature| |specialCases| |body| |m| |e| |$prefix|
-               |$formalArgList|)
-  (DECLARE (SPECIAL |$prefix| |$formalArgList|))
+(DEFUN |compDefineCategory2| (|form| |signature| |specialCases| |body| |m| |e|
+                              |$prefix| |$formalArgList|)
+  (DECLARE (SPECIAL |$prefix| |$formalArgList|) (ignore |specialCases|))
   (PROG (|$insideCategoryIfTrue| $TOP_LEVEL |$definition| |$form| |$op|
             |$extraParms| |$functionStats| |$functorStats| |$frontier|
             |$getDomainCode| |$addForm| |argl| |sargl| |aList|
@@ -830,7 +841,11 @@
     (DECLARE (SPECIAL |$insideCategoryIfTrue| $TOP_LEVEL |$definition|
                       |$form| |$op| |$extraParms| |$functionStats|
                       |$functorStats| |$frontier| |$getDomainCode|
-                      |$addForm|))
+                      |$addForm| |$lisplibAbbreviation| |$lisplibAncestors|
+                      |$lisplibCategory| |$FormalMapVariableList|
+                      |$lisplibParents| |$lisplibModemap| |$lisplibKind|
+                      |$lisplibForm| $LISPLIB |$domainShell| |$libFile|
+                      |$TriangleVariableList| ))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$insideCategoryIfTrue| 'T)
@@ -1110,7 +1125,8 @@
 
 (DEFUN |compDefineCategory| (|df| |m| |e| |prefix| |fal|)
   (PROG (|$domainShell| |$lisplibCategory|)
-    (DECLARE (SPECIAL |$domainShell| |$lisplibCategory|))
+    (DECLARE (SPECIAL |$domainShell| |$lisplibCategory| $LISPLIB
+                      |$insideFunctorIfTrue|))
     (RETURN
       (PROGN
         (SPADLET |$domainShell| NIL)
@@ -1130,7 +1146,7 @@
 
 (DEFUN |compDefineFunctor| (|df| |m| |e| |prefix| |fal|)
   (PROG (|$domainShell| |$profileCompiler| |$profileAlist|)
-    (DECLARE (SPECIAL |$domainShell| |$profileCompiler|
+    (DECLARE (SPECIAL |$domainShell| |$profileCompiler| $LISPLIB
                       |$profileAlist|))
     (RETURN
       (PROGN
@@ -1385,22 +1401,28 @@
             |parForm| |ISTMP#2| |ISTMP#3| |ISTMP#4| |ISTMP#5| |ISTMP#6|
             |argPars| |op'| |rettype| T$ |body'| |lamOrSlam| |fun|
             |operationAlist| |modemap| |ISTMP#1| |key| |libFn|)
-    (DECLARE (SPECIAL |$addForm| |$viewNames| |$functionStats|
-                      |$functorStats| |$form| |$op| |$signature|
-                      |$functorTarget| |$Representation|
-                      |$LocalDomainAlist| |$functorForm|
-                      |$functorLocalParameters| |$CheckVectorList|
-                      |$getDomainCode| |$insideFunctorIfTrue|
-                      |$functorsUsed| |$setelt| $TOP_LEVEL |$genFVar|
-                      |$genSDVar| |$mutableDomain| |$attributesName|
-                      |$goGetList| |$condAlist| |$uncondAlist|
-                      |$NRTslot1PredicateList| |$NRTattributeAlist|
-                      |$NRTslot1Info| |$NRTbase| |$NRTaddForm|
-                      |$NRTdeltaList| |$NRTdeltaListComp| |$NRTaddList|
-                      |$NRTdeltaLength| |$NRTloadTimeAlist|
-                      |$NRTdomainFormList| |$template|
-                      |$functionLocations| |$isOpPackageName|
-                      |$lookupFunction| |$byteAddress| |$byteVec|))
+(declare (special $LISPLIB $TOP_LEVEL |$bootStrapMode| |$CategoryFrame|
+                  |$CheckVectorList| |$FormalMapVariableList| 
+                  |$LocalDomainAlist| |$NRTaddForm| |$NRTaddList| 
+                  |$NRTattributeAlist| |$NRTbase| |$NRTdeltaLength| 
+                  |$NRTdeltaListComp| |$NRTdeltaList| |$NRTdomainFormList| 
+                  |$NRTloadTimeAlist| |$NRTslot1Info| |$NRTslot1PredicateList| 
+                  |$Representation| |$addForm| |$attributesName| 
+                  |$byteAddress| |$byteVec| |$compileOnlyCertainItems|
+                  |$condAlist| |$domainShell| |$form| |$functionLocations| 
+                  |$functionStats| |$functorForm| |$functorLocalParameters| 
+                  |$functorStats| |$functorSpecialCases| |$functorTarget| 
+                  |$functorsUsed| |$genFVar| |$genSDVar| |$getDomainCode| 
+                  |$goGetList| |$insideCategoryPackageIfTrue|
+                  |$insideFunctorIfTrue| |$isOpPackageName| |$libFile|
+                  |$lisplibAbbreviation| |$lisplibAncestors|
+                  |$lisplibCategoriesExtended| |$lisplibCategory|
+                  |$lisplibForm| |$lisplibKind| |$lisplibMissingFunctions|
+                  |$lisplibModemap| |$lisplibOperationAlist| |$lisplibParents|
+                  |$lisplibSlot1| |$lookupFunction| |$myFunctorBody|
+                  |$mutableDomain| |$mutableDomains| |$op| |$pairlis|
+                  |$QuickCode| |$setelt| |$signature| |$template| 
+                  |$uncondAlist| |$viewNames| |$lisplibFunctionLocations|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |form| (CADR |df|))
@@ -1423,7 +1445,6 @@
              (SPADLET |$functorTarget| NIL)
              (SPADLET |$Representation| NIL)
              (SPADLET |$LocalDomainAlist| NIL)
-             (SPADLET |$LocalDomainAlist| NIL)
              (SPADLET |$functorForm| NIL)
              (SPADLET |$functorLocalParameters| NIL)
              (SETQ |$myFunctorBody| |body|)
@@ -1886,7 +1907,9 @@
 ;  T
 
 (DEFUN |compFunctorBody| (|body| |m| |e| |parForm|)
+  (declare (ignore |parForm|))
   (PROG (T$ |op| |ISTMP#1| |domainForm| |ISTMP#2| |predicate|)
+  (declare (special |$NRTaddForm| |$functorForm| |$bootStrapMode| /EDITFILE))
     (RETURN
       (COND
         ((BOOT-EQUAL |$bootStrapMode| 'T)
@@ -1937,6 +1960,8 @@
 
 (DEFUN |reportOnFunctorCompilation| ()
   (PROG (|byteCount| |elapsedSeconds| |timeString|)
+  (declare (special |$op| |$functorStats| |$functionStats| |$warningStack|
+                    |$semanticErrorStack|))
     (RETURN
       (PROGN
         (|displayMissingFunctions|)
@@ -1986,6 +2011,7 @@
 
 (DEFUN |displayMissingFunctions| ()
   (PROG (|pred| |ISTMP#1| |loc| |exp| |op| |sig|)
+  (declare (special |$env| |$formalArgList| |$CheckVectorList|))
     (RETURN
       (SEQ (COND
              ((NULL |$CheckVectorList|) NIL)
@@ -2232,6 +2258,7 @@
 
 (DEFUN |makeFunctorArgumentParameters,fn| (|a| |s|)
   (PROG (|catlist|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (SEQ (IF (|isCategoryForm| |s| |$CategoryFrame|)
                (EXIT (SEQ (IF (AND (PAIRP |s|) (EQ (QCAR |s|) '|Join|)
@@ -2247,6 +2274,7 @@
 
 (DEFUN |makeFunctorArgumentParameters,augmentSig| (|s| |ss|)
   (PROG (|sl| |u|)
+  (declare (special |$ConditionalOperators|))
     (RETURN
       (SEQ (IF (NULL |ss|) (EXIT |s|))
            (DO ((G167609 |ss| (CDR G167609)) (|u| NIL))
@@ -2362,6 +2390,7 @@
 
 (DEFUN |genDomainViewList| (|id| |catlist| |firsttime|)
   (PROG (|y|)
+  (declare (special |$EmptyEnvironment|))
     (RETURN
       (COND
         ((NULL |catlist|) NIL)
@@ -2391,6 +2420,7 @@
 
 (DEFUN |genDomainView| (|viewName| |originalName| |c| |viewSelector|)
   (PROG (|l| |ISTMP#1| |c'| |ISTMP#2| |code| |cd|)
+  (declare (special |$getDomainCode| |$e|))
     (RETURN
       (COND
         ((AND (PAIRP |c|) (EQ (QCAR |c|) 'CATEGORY)
@@ -2447,6 +2477,7 @@
 
 (DEFUN |genDomainOps| (|viewName| |dom| |cat|)
   (PROG (|siglist| |oplist| |cd| |opsig| |cond| |op| |sig|)
+  (declare (special |$e| |$ConditionalOperators| |$getDomainCode|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |oplist| (|getOperationAlist| |dom| |dom| |cat|))
@@ -2536,9 +2567,9 @@
                                                                   (SETQ
                                                                    G167776
                                                                    (CONS
-                                                                    (|mkDomainConstructor|
+                                                         (|mkDomainConstructor|
                                                                      |mode|)
-                                                                    G167776))))))))
+                                                                G167776))))))))
                                                          NIL)))
                                                       G167759))))))))
                                            NIL)))
@@ -2590,6 +2621,7 @@
 (DEFUN |mkOpVec| (|dom| |siglist|)
   (PROG (|substargs| |oplist| |ops| |op| |sig| |u| |noplist| |ISTMP#1|
             |ISTMP#2| |n| |ISTMP#3| |ISTMP#4|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |dom| (|getPrincipalView| |dom|))
@@ -2700,7 +2732,9 @@
 ;--+
 ;  a
 
-(DEFUN |genDomainViewName| (|a| |category|) |a|)
+(DEFUN |genDomainViewName| (|a| |category|) 
+ (declare (ignore |category|))
+ |a|)
 
 ;compDefWhereClause(['DEF,form,signature,specialCases,body],m,e) ==
 ;-- form is lhs (f a1 ... an) of definition; body is rhs;
@@ -2766,6 +2800,7 @@
 
 (DEFUN |compDefWhereClause,transformType| (|x|)
   (PROG (|ISTMP#1| R |ISTMP#2| |Rtype|)
+  (declare (special |$sigAlist|))
     (RETURN
       (SEQ (IF (ATOM |x|) (EXIT |x|))
            (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|:|)
@@ -2815,6 +2850,7 @@
 
 (DEFUN |compDefWhereClause,removeSuchthat| (|x|)
   (PROG (|ISTMP#1| |y| |ISTMP#2| |p|)
+  (declare (special |$predAlist|))
     (RETURN
       (SEQ (IF (AND (PAIRP |x|) (EQ (QCAR |x|) '|\||)
                     (PROGN
@@ -2835,6 +2871,7 @@
 
 (DEFUN |compDefWhereClause,addSuchthat| (|x| |y|)
   (PROG (|p|)
+  (declare (special |$predAlist|))
     (RETURN
       (SEQ (IF (SPADLET |p| (LASSOC |x| |$predAlist|))
                (EXIT (CONS '|\|| (CONS |y| (CONS |p| NIL)))))
@@ -3271,12 +3308,14 @@
                  |signature'| |e| |rettype| |ISTMP#1| |localOrExported|
                  |formattedSig| |wholeBody| |oldT| T$ |catchTag|
                  |body'| |finalBody| |fun| |val|)
-    (DECLARE (SPECIAL |$form| |$op| |$functionStats|
-                      |$argumentConditionList| |$finalEnv|
-                      |$initCapsuleErrorCount|
-                      |$insideCapsuleFunctionIfTrue|
+    (DECLARE (SPECIAL |$form| |$op| |$functionStats| |$functorStats| 
+                      |$argumentConditionList| |$finalEnv| |$returnMode|
+                      |$initCapsuleErrorCount| |$newCompCompare| |$NoValueMode|
+                      |$insideCapsuleFunctionIfTrue| |$newComp|
                       |$CapsuleModemapFrame| |$CapsuleDomainsInScope|
-                      |$insideExpressionIfTrue|))
+                      |$insideExpressionIfTrue| |$compileOnlyCertainItems|
+                      |$profileCompiler| |$functionLocations| |$finalEnv|
+                      |$signatureOfForm| |$semanticErrorStack|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |form| (CADR |df|))
@@ -3490,6 +3529,7 @@
 
 (DEFUN |getSignatureFromMode| (|form| |e|)
   (PROG (|ISTMP#1| |signature|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (SEQ (COND
              ((PROGN
@@ -3528,9 +3568,9 @@
 ;    sig
 ;  nil --this branch will force all arguments to be declared
 
-(DEFUN |hasSigInTargetCategory,fn|
-       (|opName| |sig| |opsig| |mList| |form|)
+(DEFUN |hasSigInTargetCategory,fn| (|opName| |sig| |opsig| |mList| |form|)
   (PROG ()
+  (declare (special |$op|))
     (RETURN
       (SEQ (AND (AND (AND (BOOT-EQUAL |opName| |$op|)
                           (BOOT-EQUAL (|#| |sig|) (|#| |form|)))
@@ -3554,6 +3594,7 @@
 
 (DEFUN |hasSigInTargetCategory| (|argl| |form| |opsig| |e|)
   (PROG (|mList| |opName| |potentialSigList| |c| |sig|)
+  (declare (special |$domainShell|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |mList|
@@ -3855,6 +3896,7 @@
 
 (DEFUN |stripOffArgumentConditions| (|argl|)
   (PROG (|ISTMP#1| |arg| |ISTMP#2| |condition|)
+  (declare (special |$argumentConditionList|))
     (RETURN
       (SEQ (PROG (G168756)
              (SPADLET G168756 NIL)
@@ -3911,6 +3953,7 @@
 
 (DEFUN |stripOffSubdomainConditions| (|margl| |argl|)
   (PROG (|ISTMP#1| |marg| |ISTMP#2| |condition| |pair|)
+  (declare (special |$argumentConditionList|))
     (RETURN
       (SEQ (PROG (G168825)
              (SPADLET G168825 NIL)
@@ -3980,6 +4023,7 @@
 
 (DEFUN |compArgumentConditions| (|e|)
   (PROG (|n| |a| |x| |y| |LETTMP#1| T$)
+  (declare (special |$Boolean| |$argumentConditionList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$argumentConditionList|
@@ -4034,8 +4078,8 @@
 ;  $body
 
 (DEFUN |addArgumentConditions,fn| (|clist|)
-  (PROG (|ISTMP#1| |n| |ISTMP#2| |untypedCondition| |ISTMP#3|
-            |typedCondition|)
+  (PROG (|ISTMP#1| |n| |ISTMP#2| |untypedCondition| |ISTMP#3| |typedCondition|)
+  (declare (special |$body| |$functionName| |$true|))
     (RETURN
       (SEQ (IF (AND (PAIRP |clist|)
                     (PROGN
@@ -4077,7 +4121,7 @@
                      (MAKESTRING "addArgumentConditions")))))))
 
 (DEFUN |addArgumentConditions| (|$body| |$functionName|)
-  (DECLARE (SPECIAL |$body| |$functionName|))
+  (DECLARE (SPECIAL |$body| |$functionName| |$argumentConditionList|))
   (COND
     (|$argumentConditionList|
         (|addArgumentConditions,fn| |$argumentConditionList|))
@@ -4091,7 +4135,7 @@
 
 (DEFUN |putInLocalDomainReferences| (|def|)
   (PROG (|$elt| |opName| |lam| |varl| |body|)
-    (DECLARE (SPECIAL |$elt|))
+    (DECLARE (SPECIAL |$elt| |$QuickCode|))
     (RETURN
       (PROGN
         (SPADLET |opName| (CAR |def|))
@@ -4119,6 +4163,7 @@
 
 (DEFUN |canCacheLocalDomain,domargsglobal| (|dom|)
   (PROG ()
+  (declare (special |$functorLocalParameters|))
     (RETURN
       (SEQ (IF (BOOT-EQUAL |dom| '$) (EXIT 'T))
            (IF (IDENTP |dom|)
@@ -4140,6 +4185,8 @@
 
 (DEFUN |canCacheLocalDomain| (|dom| |elt|)
   (PROG (|op| |ISTMP#1| |ISTMP#2| |n|)
+  (declare (special |$funcLocLen| |$selcount| |$usedDomList| |$selector|
+                    |$functorLocalParameters|))
     (RETURN
       (COND
         ((AND (PAIRP |dom|)
@@ -4228,6 +4275,7 @@
 
 (DEFUN |compileCases,FindNamesFor| (R |R'|)
   (PROG (|v| |u|)
+  (declare (special |$getDomainCode|))
     (RETURN
       (SEQ (CONS R
                  (PROG (G169091)
@@ -4256,7 +4304,7 @@
   (DECLARE (SPECIAL |$e|))
   (PROG (|$specialCaseKeyList| R |R'| |specialCaseAssoc|
             |listOfDomains| |listOfAllCases| |cl|)
-    (DECLARE (SPECIAL |$specialCaseKeyList|))
+    (DECLARE (SPECIAL |$specialCaseKeyList| |$true| |$insideFunctorIfTrue|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$specialCaseKeyList| NIL)
@@ -4398,6 +4446,7 @@
 
 (DEFUN |getSpecialCaseAssoc| ()
   (PROG ()
+  (declare (special |$functorSpecialCases| |$functorForm|))
     (RETURN
       (SEQ (PROG (G169224)
              (SPADLET G169224 NIL)
@@ -4471,6 +4520,7 @@
 
 (DEFUN |compile,isLocalFunction| (|op|)
   (PROG (|ISTMP#1|)
+  (declare (special |$e| |$formalArgList|))
     (RETURN
       (AND (NULL (|member| |op| |$formalArgList|))
            (PROGN
@@ -4482,6 +4532,12 @@
               |ISTMP#2| |ISTMP#3| |name| |op'| |parts| |s| |t| |unew|
               |optimizedBody| |stuffToCompile| |result|
               |functionStats|)
+  (declare (special |$functionStats| |$macroIfTrue| |$doNotCompileJustPrint|
+                    |$insideCapsuleFunctionIfTrue| |$saveableItems| |$e|
+                    |$lisplibItemsAlreadyThere| |$splitUpItemsAlreadyThere|
+                    |$compileOnlyCertainItems| $LISPLIB |$suffix|
+                    |$signatureOfForm| |$functorForm| |$prefix| 
+                    |$savableItems|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |op| (CAR |u|))
@@ -4717,6 +4773,7 @@
 
 (DEFUN |spadCompileOrSetq| (|form|)
   (PROG (|nam| |lam| |vl| |body| |nam'| |ISTMP#1| E |vl'| |macform|)
+  (declare (special |$insideCapsuleFunctionIfTrue|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |nam| (CAR |form|))
@@ -4831,7 +4888,7 @@
 (DEFUN |compileConstructor1| (|form|)
   (PROG (|$clamList| |fn| |key| |vl| |bodyl| |lambdaOrSlam| |compForm|
             |u|)
-    (DECLARE (SPECIAL |$clamList|))
+    (DECLARE (SPECIAL |$clamList| |$ConstructorCache| |$mutableDomain|))
     (RETURN
       (PROGN
         (SPADLET |fn| (CAR |form|))
@@ -4971,6 +5028,7 @@
 ;      ''%b,MKQ namestring sourceFile,''%d,'"needs to be compiled"]]]]
 
 (DEFUN |bootStrapError| (|functorForm| |sourceFile|)
+  (declare (special |$bootStrapMode|))
   (CONS 'COND
         (CONS (CONS '|$bootStrapMode|
                     (CONS (CONS 'VECTOR
@@ -5038,7 +5096,9 @@
 (DEFUN |compAdd| (G169618 |m| |e|)
   (PROG (|$addForm| |$addFormLhs| |capsule| |code| |ISTMP#1|
             |domainForm| |ISTMP#2| |predicate| |u| |LETTMP#1|)
-    (DECLARE (SPECIAL |$addForm| |$addFormLhs|))
+    (DECLARE (SPECIAL |$addForm| |$addFormLhs| |$EmptyMode| |$NRTaddForm|
+                      |$packagesUsed| |$functorForm| |$bootStrapMode|
+                      /EDITFILE))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$addForm| (CADR G169618))
@@ -5185,7 +5245,8 @@
 
 (DEFUN |compCapsule| (G169718 |m| |e|)
   (PROG (|$insideExpressionIfTrue| |itemList|)
-    (DECLARE (SPECIAL |$insideExpressionIfTrue|))
+    (DECLARE (SPECIAL |$insideExpressionIfTrue| |$functorForm| /EDITFILE
+                      |$bootStrapMode|))
     (RETURN
       (PROGN
         (SPADLET |itemList| (CDR G169718))
@@ -5206,7 +5267,7 @@
 
 (DEFUN |compSubDomain| (G169740 |m| |e|)
   (PROG (|$addFormLhs| |$addForm| |domainForm| |predicate| |LETTMP#1|)
-    (DECLARE (SPECIAL |$addFormLhs| |$addForm|))
+    (DECLARE (SPECIAL |$addFormLhs| |$addForm| |$NRTaddForm| |$addFormLhs|))
     (RETURN
       (PROGN
         (COND ((EQ (CAR G169740) '|SubDomain|) (CAR G169740)))
@@ -5240,6 +5301,8 @@
 
 (DEFUN |compSubDomain1| (|domainForm| |predicate| |m| |e|)
   (PROG (|LETTMP#1| |u| |prefixPredicate| |op'| |dF'|)
+  (declare (special |$CategoryFrame| |$op| |$lisplibSuperDomain| |$Boolean|
+                    |$EmptyMode|))
     (RETURN
       (PROGN
         (SPADLET |LETTMP#1|
@@ -5316,6 +5379,9 @@
 
 (DEFUN |compCapsuleInner| (|itemList| |m| |e|)
   (PROG (|localParList| |data| |code|)
+  (declare (special |$getDomainCode| |$signature| |$form| |$addForm|
+                    |$insideCategoryPackageIfTrue| |$insideCategoryIfTrue|
+                    |$functorLocalParameters|))
     (RETURN
       (PROGN
         (SPADLET |e| (|addInformation| |m| |e|))
@@ -5483,7 +5549,10 @@ Since we can't be sure we take the least disruptive course of action.
                 |rhs'| |rhsCode| |a| |doms| |b| |l| |LETTMP#1|
                 |ISTMP#1| |ISTMP#2| |op| |body| |t| |functionPart| |u|
                 |code|)
-    (DECLARE (SPECIAL $GENNO))
+    (DECLARE (SPECIAL $GENNO |$e| |$EmptyMode| |$signatureOfForm| 
+                      |$QuickCode| |$LocalDomainAlist| |$Representation|
+                      |$NRTopt| |$packagesUsed| |$functorsUsed|
+                      |$functorLocalParameters| |$NonMentionableDomainNames|))
     (RETURN
       (SEQ (PROGN
              (SPADLET $GENNO 0)
@@ -5810,6 +5879,7 @@ Since we can't be sure we take the least disruptive course of action.
 
 (DEFUN |doItIf,localExtras| (|oldFLP|)
   (PROG (|oldFLP'| |flp1| |ISTMP#1| |gv| |ans| |nils| |n|)
+  (declare (special |$functorLocalParameters| |$getDomainCode|))
     (RETURN
       (SEQ (IF (EQ |oldFLP| |$functorLocalParameters|) (EXIT NIL))
            (SPADLET |flp1| |$functorLocalParameters|)
@@ -5862,6 +5932,7 @@ Since we can't be sure we take the least disruptive course of action.
 (DEFUN |doItIf| (|item| |$predl| |$e|)
   (DECLARE (SPECIAL |$predl| |$e|))
   (PROG (|p| |x| |y| |olde| |LETTMP#1| |p'| |x'| |oldFLP| |y'|)
+  (declare (special |$functorLocalParameters|))
     (RETURN
       (PROGN
         (SPADLET |p| (CADR |item|))
@@ -5905,6 +5976,7 @@ Since we can't be sure we take the least disruptive course of action.
 
 (DEFUN |compContained| (G170279 |m| |e|)
   (PROG (|a| |ma| |LETTMP#1| |b| |mb| T$)
+  (declare (special |$Boolean| |$EmptyMode|))
     (RETURN
       (PROGN
         (COND ((EQ (CAR G170279) 'CONTAINED) (CAR G170279)))
@@ -5972,6 +6044,7 @@ Since we can't be sure we take the least disruptive course of action.
 (DEFUN |compJoin| (G170354 |m| |e|)
   (PROG (|argl| |catList| |ISTMP#1| |pl| |ISTMP#2| |body| |parameters|
                 |catList'| T$)
+  (declare (special |$Category|))
     (RETURN
       (SEQ (PROGN
              (COND ((EQ (CAR G170354) '|Join|) (CAR G170354)))
@@ -6103,6 +6176,7 @@ Since we can't be sure we take the least disruptive course of action.
 (DEFUN |compMakeCategoryObject| (|c| |$e|)
   (DECLARE (SPECIAL |$e|))
   (PROG (|u|)
+  (declare (special |$Category|))
     (RETURN
       (COND
         ((NULL (|isCategoryForm| |c| |$e|)) NIL)
@@ -6121,6 +6195,7 @@ Since we can't be sure we take the least disruptive course of action.
 
 (DEFUN |makeCategoryForm| (|c| |e|)
   (PROG (|LETTMP#1| |x| |m|)
+  (declare (special |$EmptyMode|))
     (RETURN
       (COND
         ((NULL (|isCategoryForm| |c| |e|)) NIL)
@@ -6304,6 +6379,7 @@ Since we can't be sure we take the least disruptive course of action.
 
 (DEFUN |mustInstantiate| (D)
   (PROG (|fn|)
+  (declare (special |$DummyFunctorNames|))
     (RETURN
       (AND (PAIRP D) (PROGN (SPADLET |fn| (QCAR D)) 'T)
            (NULL (OR (MEMQ |fn| |$DummyFunctorNames|)
@@ -6341,6 +6417,7 @@ Since we can't be sure we take the least disruptive course of action.
 
 (DEFUN |DomainSubstitutionFunction,Subst| (|parameters| |body|)
   (PROG (|g|)
+  (declare (special |$definition| |$extraParms|))
     (RETURN
       (SEQ (IF (ATOM |body|)
                (EXIT (SEQ (IF (MEMQ |body| |parameters|)
@@ -6372,6 +6449,7 @@ Since we can't be sure we take the least disruptive course of action.
 
 (DEFUN |DomainSubstitutionFunction| (|parameters| |body|)
   (PROG (|name|)
+  (declare (special |$definition|))
     (RETURN
       (PROGN
         (COND
@@ -6438,6 +6516,7 @@ Since we can't be sure we take the least disruptive course of action.
 (DEFUN |compCategoryItem| (|x| |predl|)
   (PROG (|p| |e| |a| |ISTMP#2| |b| |ISTMP#3| |c| |predl'| |pred|
              |ISTMP#1| |y| |l| |op| |sig|)
+  (declare (special |$sigList| |$atList|))
     (RETURN
       (SEQ (COND
              ((NULL |x|) NIL)
